Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.tools
Class encrypt_pdf

    java.lang.Object
      com.lowagie.tools.encrypt_pdf

    public class encrypt_pdf

extends Object

Encrypts a PDF document. It needs iText (http://www.lowagie.com/iText).

Author:
  Paulo Soares (psoares@consiste.pt)

Field Summary
`private static int` | `INPUT_FILE`
`private static int` | `MOREINFO`
`private static int` | `OUTPUT_FILE`
`private static int` | `OWNER_PASSWORD`
`private static int` | `PERMISSIONS`
`private static int[]` | `permit`
`private static int` | `STRENGTH`
`private static int` | `USER_PASSWORD`

Constructor Summary
`encrypt_pdf()`

Method Summary
`static void` | `main(String[] args)` Encrypts a PDF document.
`private static void` | `usage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INPUT_FILE

    private static final int INPUT_FILE

See Also:
  Constant Field Values

### OUTPUT_FILE

    private static final int OUTPUT_FILE

See Also:
  Constant Field Values

### USER_PASSWORD

    private static final int USER_PASSWORD

See Also:
  Constant Field Values

### OWNER_PASSWORD

    private static final int OWNER_PASSWORD

See Also:
  Constant Field Values

### PERMISSIONS

    private static final int PERMISSIONS

See Also:
  Constant Field Values

### STRENGTH

    private static final int STRENGTH

See Also:
  Constant Field Values

### MOREINFO

    private static final int MOREINFO

See Also:
  Constant Field Values

### permit

    private static final int[] permit

Constructor Detail

### encrypt_pdf

    public encrypt_pdf()

Method Detail

### usage

    private static void usage()

### main

    public static void main(String[] args)

  Encrypts a PDF document.

  Parameters:
    `args` - input_file output_file user_password owner_password permissions 128|40 [new info string pairs]

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD